Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -13279,9 +13279,9 @@
       ! bidouille anti-divergence: utile pour éviter propagation des
       ! erreurs numériques
-      if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
+      IF ((iso_eau.gt.0).AND.(bidouille_anti_divergence)) THEN
           do i=1,knon
             xtsnow(iso_eau,i)=snow(i)
           enddo
-      endif !if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
+      endif !if ((iso_eau.gt.0).AND.(bidouille_anti_divergence)) THEN
       ! verif cons masse de la neige
 #ifdef ISOVERIF      
@@ -13290,7 +13290,7 @@
                   -snow_evap(i)*dtime-fqcalving(i)*dtime, &
                    snow_max-snow_prec(i))
-         if (iso_verif_egalite_choix_nostop(dqdiag, &
+         IF (iso_verif_egalite_choix_nostop(dqdiag, &
                  snow(i)-snow_prec(i),'ter 2128', &
-                 errmax_sol*max(snow(i),1.0),errmaxrel).eq.1) THEN
+                 errmax_sol*max(snow(i),1.0),errmaxrel).EQ.1) THEN
              WRITE(*,*) 'calcul_iso_surf_ter 2086: bilan qsnow'
              WRITE(*,*) 'snow(i)=',snow(i)
@@ -13302,11 +13302,11 @@
              stop
          endif
-         if (snow(i).lt.snow_max) THEN
+         IF (snow(i).lt.snow_max) THEN
          do ixt=1,niso
             dqdiag=xtprecip_snow(ixt,i)*dtime-fxt_fonte_neige(ixt,i) &
                   -xtsnow_evap(ixt,i)*dtime-fxtcalving(ixt,i)
-            if (iso_verif_egalite_choix_nostop(dqdiag, &
+            IF (iso_verif_egalite_choix_nostop(dqdiag, &
                  xtsnow(ixt,i)-xtsnow_prec(ixt,i),'ter 2144', &
-                 errmax_sol*max(snow(i),1.0),errmaxrel).eq.1) THEN
+                 errmax_sol*max(snow(i),1.0),errmaxrel).EQ.1) THEN
              WRITE(*,*) 'calcul_iso_surf_ter 2101: bilan xtsnow, ixt=', &
                  ixt
@@ -13338,13 +13338,13 @@
         ! cette partie est ajoutée le 31 juillet 2017
         do i=1,knon
-           if (fqfonte_neige(i).gt.fq_fonte_neige(i)/dtime) THEN
+           IF (fqfonte_neige(i).gt.fq_fonte_neige(i)/dtime) THEN
                 ! on font la banquise ou la land ice.
                 fqfonte_neige_add=fqfonte_neige(i)-fq_fonte_neige(i)/dtime
-                if (nisurf == is_sic) THEN
+                IF (nisurf == is_sic) THEN
                   do ixt=1,niso
                      fxtfonte_neige(ixt,i)=fxt_fonte_neige(ixt,i)/dtime &
                         +fqfonte_neige_add*tcorr(ixt)*toce(ixt)*alpha_liq_sol(ixt)
                   enddo
-                else if (nisurf == is_lic) THEN
+                ELSE IF (nisurf == is_lic) THEN
                    do ixt=1,niso
                      fxtfonte_neige(ixt,i)=fxt_fonte_neige(ixt,i)/dtime &
@@ -13373,5 +13373,5 @@
            endif !if (fqfonte_neige(i).gt.fq_fonte_neige(i)/dtime) THEN
 #ifdef ISOVERIF
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite(fqfonte_neige(i),fxtfonte_neige(iso_eau,i), &
                         'iso_routines > gestion_neige 13479')
@@ -13412,43 +13412,43 @@
 
         ! inputs
-        integer, intent(in) :: klon,knon ! dimensions
-        real, intent(in) :: ps(klon) ! surface pressure
-        real, intent(in) :: tsurf(klon) ! SST
-        real, intent(in) :: q1lay(klon) ! near-surface specific humidity
-        real, intent(in) :: u1lay(klon), v1lay(klon) ! near surface wind
-        real, intent(in) :: xt1lay(ntraciso,klon) ! isotopes in near surface water vapor
-        real, intent(in) :: evap(klon) ! evaporation flux
-        !real, intent(in) ::  tsurf(klon)
-        real, intent(in) ::  Roce(niso,klon) ! isotopic ratio in surface ocean
-        !real, intent(in) ::  dtime
-        real, intent(in) ::  t_coup ! limit temperature between ice/liquid when calculating saturation humidity
+        INTEGER, INTENT(IN) :: klon,knon ! dimensions
+        REAL, INTENT(IN) :: ps(klon) ! surface pressure
+        REAL, INTENT(IN) :: tsurf(klon) ! SST
+        REAL, INTENT(IN) :: q1lay(klon) ! near-surface specific humidity
+        REAL, INTENT(IN) :: u1lay(klon), v1lay(klon) ! near surface wind
+        REAL, INTENT(IN) :: xt1lay(ntraciso,klon) ! isotopes in near surface water vapor
+        REAL, INTENT(IN) :: evap(klon) ! evaporation flux
+        !REAL, INTENT(IN) ::  tsurf(klon)
+        REAL, INTENT(IN) ::  Roce(niso,klon) ! isotopic ratio in surface ocean
+        !REAL, INTENT(IN) ::  dtime
+        REAL, INTENT(IN) ::  t_coup ! limit temperature between ice/liquid when calculating saturation humidity
 
         ! output
-        real, intent(out) ::  xtevap(ntraciso,klon) ! isotopic evaporation flux
-        real, intent(out) :: h1(klon) ! only diagnostic, not useful
+        REAL, INTENT(OUT) ::  xtevap(ntraciso,klon) ! isotopic evaporation flux
+        REAL, INTENT(OUT) :: h1(klon) ! only diagnostic, not useful
 
         ! locals
-        integer ixt
-        real VSURF
-        real kcin(niso,klon)
-        real zqs(klon)
-        real R1(niso)
-        real Revap(niso)
-        real zxtalphal(niso,klon), zxtalphai(niso)        
-        integer i
-        integer ncas_evap,ncas_noevap,ncas_rosee
-        integer cas_evap(klon),cas_noevap(klon),cas_rosee(klon)
-        integer icas
-        real zxtalphal_tmp
+        INTEGER ixt
+        REAL VSURF
+        REAL kcin(niso,klon)
+        REAL zqs(klon)
+        REAL R1(niso)
+        REAL Revap(niso)
+        REAL zxtalphal(niso,klon), zxtalphai(niso)
+        INTEGER i
+        INTEGER ncas_evap,ncas_noevap,ncas_rosee
+        INTEGER cas_evap(klon),cas_noevap(klon),cas_rosee(klon)
+        INTEGER icas
+        REAL zxtalphal_tmp
 #ifdef ISOVERIF
 !        real deltaD,O17excess,deltaO
-        integer trace_cas(klon)
+        INTEGER trace_cas(klon)
 !        integer iso_verif_aberrant_nostop ! juste debug
 !        integer iso_verif_aberrant_o17_nostop
 #endif
 #ifdef ISOTRAC
-        integer, DIMENSION(klon), INTENT(IN)     :: knindex
+        INTEGER, DIMENSION(klon), INTENT(IN)     :: knindex
         ! locals
-        integer izone_recoit  
+        INTEGER izone_recoit
 #endif
 
@@ -13457,5 +13457,5 @@
 #ifdef ISOVERIF
         do i=1,knon
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix(Roce(iso_eau,i),1.0, &
                         'calcul_iso_surf_oce 47',errmax,errmaxrel)
@@ -13464,5 +13464,5 @@
                         errmax,errmaxrel)
            endif !if (iso_eau.gt.0) THEN
-           if (iso_HDO.gt.0) THEN
+           IF (iso_HDO.gt.0) THEN
               CALL iso_verif_positif(deltaD(Roce(iso_HDO,i))+100.0, &
                  'calcul_iso_surf_oce 54')
@@ -13477,5 +13477,5 @@
          ncas_rosee=0
          do i=1,knon
-          if (evap(i).gt.0.0) THEN
+          IF (evap(i).gt.0.0) THEN
            ncas_evap=ncas_evap+1
            cas_evap(ncas_evap)=i 
@@ -13483,5 +13483,5 @@
            trace_cas(i)=1
 #endif
-          else if (evap(i).eq.0.0) THEN
+          ELSE IF (evap(i).EQ.0.0) THEN
            ncas_noevap=ncas_noevap+1
            cas_noevap(ncas_noevap)=i
@@ -13503,5 +13503,5 @@
             i=cas_evap(icas)
             !WRITE(*,*) 'icas, i, ncas_evap=',icas, i, ncas_evap
-            if (tsurf(i).lt.t_coup) THEN
+            IF (tsurf(i).lt.t_coup) THEN
              zqs(i)=qsats(tsurf(i))/ps(i)
 #ifdef ISOVERIF             
@@ -13518,5 +13518,5 @@
            h1(i)=q1lay(i)/zqs(i)
            h1(i)=min(1.0,max(0.0,h1(i)))
-           if (cste_surf_cond.eq.2) THEN
+           IF (cste_surf_cond.EQ.2) THEN
                ! on suppose la température de surface constante dans le
                ! calcul des coefs de frac, pour faire un test de
@@ -13526,11 +13526,11 @@
                          zxtalphal(ixt,i))
             enddo
-           else !if (cste_surf_cond.eq.2) THEN
+           else !if (cste_surf_cond.EQ.2) THEN
             do ixt=1,niso
               CALL fractcalk_liq(ixt,tsurf(i), &
                          zxtalphal(ixt,i))
             enddo
-           endif !if (cste_surf_cond.eq.2) THEN
-            if (q1lay(i).gt.0.0) THEN
+           endif !if (cste_surf_cond.EQ.2) THEN
+            IF (q1lay(i).gt.0.0) THEN
               do ixt=1,niso  
                 R1(ixt)=xt1lay(ixt,i)/q1lay(i)
@@ -13547,6 +13547,6 @@
           VSURF=sqrt(u1lay(i)**2+v1lay(i)**2)
           CALL calcul_kcin(vsurf,kcin(1,i))
-          if (cste_surf_cond.eq.0) THEN
-            if (h1(i).lt.0.98) THEN
+          IF (cste_surf_cond.EQ.0) THEN
+            IF (h1(i).lt.0.98) THEN
               do ixt=1,niso
                 xtevap(ixt,i)=evap(i)* &
@@ -13559,5 +13559,5 @@
               enddo
             endif !if (h1(i).lt.0.98) THEN
-          else !if (cste_surf_cond.eq.0) THEN
+          else !if (cste_surf_cond.EQ.0) THEN
               do ixt=1,niso
                 xtevap(ixt,i)=evap(i)* &
@@ -13566,10 +13566,10 @@
                  /(1.0-rh_cste_surf_cond)*(1.0-kcin(ixt,i))
               enddo !do ixt=1,niso
-          endif !if (cste_surf_cond.eq.0) THEN
+          endif !if (cste_surf_cond.EQ.0) THEN
         !WRITE(*,*) 'calcul_iso_surf_oce 13772'
         !WRITE(*,*) 'knindex(i),klon=',knindex(i),klon
 #ifdef ISOTRAC
-          if ((option_traceurs.eq.3).or. &
-                 (option_traceurs.eq.20)) THEN
+          IF ((option_traceurs.EQ.3).OR. &
+                 (option_traceurs.EQ.20)) THEN
              izone_recoit=bassin_map(knindex(i))
          else
@@ -13579,5 +13579,5 @@
         !WRITE(*,*) 'calcul_iso_surf_oce 13781, izone_recoit=',izone_recoit
           do ixt=niso+1,ntraciso
-            if (index_zone(ixt).eq.izone_recoit) THEN
+            IF (index_zone(ixt).EQ.izone_recoit) THEN
                xtevap(ixt,i)=xtevap(index_iso(ixt),i)
             else
@@ -13595,13 +13595,13 @@
 #endif          
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtevap(iso_eau,i),evap(i), &
                  'calcul_iso_surf_oce 3309: sur ocean', &
                   errmax,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-          if (iso_HDO.gt.0) THEN
-           if (abs(evap(i)).gt.ridicule_evap) THEN
-             if (iso_verif_aberrant_nostop(xtevap(iso_HDO,i)/evap(i), &
-                 'calcul_iso_surf_oce 3308: sur ocean').eq.1) THEN
+          IF (iso_HDO.gt.0) THEN
+           IF (abs(evap(i)).gt.ridicule_evap) THEN
+             IF (iso_verif_aberrant_nostop(xtevap(iso_HDO,i)/evap(i), &
+                 'calcul_iso_surf_oce 3308: sur ocean').EQ.1) THEN
                WRITE(*,*) 'h1(i),kcin(iso_HDO,i)=',h1(i),kcin(iso_HDO,i)
                WRITE(*,*) 'deltaD(R1)=',deltaD(R1(iso_HDO))
@@ -13610,5 +13610,5 @@
                ! si deltaD vap très faible, c'est normale d'avoir deltaD
                ! très fort dans l'évap
-               if ((evap(i).gt.faible_evap).and. &
+               IF ((evap(i).gt.faible_evap).AND. &
                          (deltaD(R1(iso_HDO)).gt.deltaDfaible)) THEN
                  stop
@@ -13616,6 +13616,6 @@
              endif
            endif !if (abs(evap(i)).gt.ridicule_evap) THEN
-           if ((xtevap(iso_HDO,i)/evap(i).lt.R1(iso_HDO)-20.0) &
-                 .and.(evap(i).gt.ridicule_evap)) THEN
+           IF ((xtevap(iso_HDO,i)/evap(i).lt.R1(iso_HDO)-20.0) &
+                 .AND.(evap(i).gt.ridicule_evap)) THEN
                WRITE(*,*) 'calcul_iso_surf_oce 106, i=',i
                WRITE(*,*) 'deltaDevap=', &
@@ -13630,9 +13630,9 @@
            endif ! if (xtevap(iso_HDO,i)/evap(i).lt.R1(iso_HDO)) THEN
           endif  !if (iso_HDO.gt.0) THEN
-          if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-            if (abs(evap(i)).gt.ridicule_evap) THEN
-                if (iso_verif_aberrant_o17_nostop(xtevap(iso_O17,i) &
+          IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+            IF (abs(evap(i)).gt.ridicule_evap) THEN
+                IF (iso_verif_aberrant_o17_nostop(xtevap(iso_O17,i) &
                  /evap(i),xtevap(iso_O18,i) &
-                 /evap(i),'calcul_iso_surf > oce 232').eq.1) THEN
+                 /evap(i),'calcul_iso_surf > oce 232').EQ.1) THEN
                   WRITE(*,*) 'deltaO18,O17excess v1=',deltaO( &
                          R1(iso_O18)),O17excess( &
@@ -13645,10 +13645,10 @@
                                  Roce(iso_O18,i)/zxtalphal(iso_O18,i))
                   WRITE(*,*) 'h1(i),evap(i)=',h1(i),evap(i)
-                  if (xtevap(iso_O18,i)/evap(i).lt.tnat(iso_O18)) THEN
+                  IF (xtevap(iso_O18,i)/evap(i).lt.tnat(iso_O18)) THEN
                      stop
                   endif
                 endif !if (iso_verif_aberrant_o17_nostop(xtevap(iso_O17,i)
             endif !if (abs(evap(i)).gt.ridicule_evap) THEN
-          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+          endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC
           CALL iso_verif_traceur_justmass(xtevap(1,i), &
@@ -13682,11 +13682,11 @@
 #ifdef ISOVERIF
         do i=1,knon
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtevap(iso_eau,i),evap(i), &
                         'calcul_iso_surf_oce 115',errmax,errmaxrel)
            endif !if (iso_eau.gt.0) THEN
-           if (iso_HDO.gt.0) THEN
-              if (evap(i).gt.ridicule_evap) THEN
-                if (deltaD(R1(iso_HDO)).gt.200.0) THEN
+           IF (iso_HDO.gt.0) THEN
+              IF (evap(i).gt.ridicule_evap) THEN
+                IF (deltaD(R1(iso_HDO)).gt.200.0) THEN
                 CALL iso_verif_aberrant(xtevap(iso_HDO,i)/evap(i), &
                         'calcul_iso_surf_oce 119')
@@ -13730,47 +13730,47 @@
 
         ! inputs
-        integer, intent(in) :: klon,knon
-        real, intent(in) :: snow(klon),snow_prec(klon)
-        real, intent(inout) :: xtsnow(niso,klon)
-        real, intent(in) :: xtsnow_prec(niso,klon)
-        real, intent(in) :: precip_snow(klon),xtprecip_snow(ntraciso,klon),xtprecip_rain(ntraciso,klon)
-        real, intent(in) :: evap(klon), snow_evap(klon)
-        real, intent(in) ::  fq_fonte_neige(klon)
-        real, intent(in) ::  fqfonte_neige(klon)
-        real, intent(in) :: xt1lay(ntraciso,klon),ps(klon),q1lay(klon)
-        real, intent(in) :: tsurf(klon)
-        real, intent(in) :: Roce(niso,klon)
-        real, intent(in) :: dtime
-        real, intent(in) :: t_coup
-        real, intent(in) :: fqcalving(klon)
+        INTEGER, INTENT(IN) :: klon,knon
+        REAL, INTENT(IN) :: snow(klon),snow_prec(klon)
+        REAL, INTENT(INOUT) :: xtsnow(niso,klon)
+        REAL, INTENT(IN) :: xtsnow_prec(niso,klon)
+        REAL, INTENT(IN) :: precip_snow(klon),xtprecip_snow(ntraciso,klon),xtprecip_rain(ntraciso,klon)
+        REAL, INTENT(IN) :: evap(klon), snow_evap(klon)
+        REAL, INTENT(IN) ::  fq_fonte_neige(klon)
+        REAL, INTENT(IN) ::  fqfonte_neige(klon)
+        REAL, INTENT(IN) :: xt1lay(ntraciso,klon),ps(klon),q1lay(klon)
+        REAL, INTENT(IN) :: tsurf(klon)
+        REAL, INTENT(IN) :: Roce(niso,klon)
+        REAL, INTENT(IN) :: dtime
+        REAL, INTENT(IN) :: t_coup
+        REAL, INTENT(IN) :: fqcalving(klon)
     INTEGER, INTENT(IN)                  :: nisurf
     INTEGER, DIMENSION(klon), INTENT(IN) :: knindex
-    real, DIMENSION(klon), INTENT(IN) :: run_off_lic_diag
-    real, INTENT(IN) :: coeff_rel_diag
+    REAL, DIMENSION(klon), INTENT(IN) :: run_off_lic_diag
+    REAL, INTENT(IN) :: coeff_rel_diag
     REAL, DIMENSION(niso,klon), INTENT(IN)        :: Rland_ice
 
         ! output
-        real, intent(out) :: xtevap(ntraciso,klon)
+        REAL, INTENT(OUT) :: xtevap(ntraciso,klon)
 
         ! locals
-        real fxtfonte_neige(niso,klon)
-        real fxt_fonte_neige(niso,klon)
-        real fxtcalving(niso,klon)
+        REAL fxtfonte_neige(niso,klon)
+        REAL fxt_fonte_neige(niso,klon)
+        REAL fxtcalving(niso,klon)
 !        real zxtalphals
-        real sol_evap(klon)
-        real xtsol_evap(ntraciso,klon)
-        real xtsnow_evap(ntraciso,klon)
-        integer i,ixt
-        integer ncas_evap,ncas_noevap,ncas_rosee
-        integer cas_evap(klon),cas_noevap(klon),cas_rosee(klon)
-        integer icas        
+        REAL sol_evap(klon)
+        REAL xtsol_evap(ntraciso,klon)
+        REAL xtsnow_evap(ntraciso,klon)
+        INTEGER i,ixt
+        INTEGER ncas_evap,ncas_noevap,ncas_rosee
+        INTEGER cas_evap(klon),cas_noevap(klon),cas_rosee(klon)
+        INTEGER icas
 #ifdef ISOVERIF
 !        real deltaD
-        integer trace_cas(klon)
+        INTEGER trace_cas(klon)
 !        integer iso_verif_egalite_nostop
 #endif        
 #ifdef ISOTRAC
         ! locals
-        integer izone_recoit
+        INTEGER izone_recoit
 #endif   
 
@@ -13795,5 +13795,5 @@
 
 #ifdef ISOVERIF
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
         do i=1,knon
           CALL iso_verif_egalite_choix(xtsnow(iso_eau,i),snow(i),  &
@@ -13819,5 +13819,5 @@
          ! c'est sol_evap plutot que evap
 !          if (evap(i).gt.0.0) THEN
-         if (sol_evap(i).gt.0.0) THEN
+         IF (sol_evap(i).gt.0.0) THEN
            ncas_evap=ncas_evap+1
            cas_evap(ncas_evap)=i 
@@ -13825,5 +13825,5 @@
            trace_cas(i)=1
 #endif
-          else if (sol_evap(i).eq.0.0) THEN
+          ELSE IF (sol_evap(i).EQ.0.0) THEN
            ncas_noevap=ncas_noevap+1
            cas_noevap(ncas_noevap)=i
@@ -13855,7 +13855,7 @@
 
 #ifdef ISOTRAC
-          if (option_traceurs.eq.3) THEN
+          IF (option_traceurs.EQ.3) THEN
             izone_recoit=izone_poubelle
-          else if (option_traceurs.eq.3) THEN
+          ELSE IF (option_traceurs.EQ.3) THEN
               izone_recoit=bassin_map(knindex(i))
           else
@@ -13864,5 +13864,5 @@
 
           do ixt=niso+1,ntraciso
-            if (index_zone(ixt).eq.izone_recoit) THEN
+            IF (index_zone(ixt).EQ.izone_recoit) THEN
              xtsol_evap(ixt,i)=xtsol_evap(index_iso(ixt),i)
             else
@@ -13873,6 +13873,6 @@
 #endif            
 #ifdef ISOVERIF
-          if (iso_HDO.gt.0) THEN
-              if (deltaD(xtsol_evap(iso_HDO,i)/sol_evap(i)).lt.0.0) THEN
+          IF (iso_HDO.gt.0) THEN
+              IF (deltaD(xtsol_evap(iso_HDO,i)/sol_evap(i)).lt.0.0) THEN
                 WRITE(*,*) 'calcul_iso_surf_lic 255'
                 WRITE(*,*) 'sol_evap(i),xtsol_evap(iso_HDO,i)=', &
@@ -13916,5 +13916,5 @@
                   t_coup,sol_evap,i,xtsol_evap,klon)
 #ifdef ISOVERIF  
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
             CALL iso_verif_aberrant_choix(-xtsol_evap(iso_HDO,i), &
                  sol_evap(i),ridicule_evap,deltalim_snow, &
@@ -13934,9 +13934,9 @@
 #ifdef ISOVERIF
         do i=1,knon
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix(xtevap(iso_eau,i),evap(i), &
                         'calcul_iso_surf_sic 248',errmax,errmaxrel)
               endif !if (iso_eau.gt.0) THEN
-              if (iso_HDO.gt.0) THEN
+              IF (iso_HDO.gt.0) THEN
                    CALL iso_verif_aberrant_choix(xtevap(iso_HDO,i),evap(i), &
                         ridicule_evap,deltalim_snow,'calcul_iso_surf_sic 257_evap')
@@ -13982,49 +13982,49 @@
 
         ! inputs
-        integer klon,knon
-        real snow(klon),snow_prec(klon)
-        real xtsnow(niso,klon),xtsnow_prec(niso,klon)
-        real precip_snow(klon),xtprecip_snow(ntraciso,klon)
-        real xtprecip_rain(ntraciso,klon),precip_rain(klon)
-        real evap(klon), snow_evap(klon)
-        real fq_fonte_neige(klon)
-        real fqfonte_neige(klon)
-        real xt1lay(ntraciso,klon),ps(klon),q1lay(klon)
-        real, intent(in) :: tsurf(klon)
-        real Rland_ice(niso,klon)
+        INTEGER klon,knon
+        REAL snow(klon),snow_prec(klon)
+        REAL xtsnow(niso,klon),xtsnow_prec(niso,klon)
+        REAL precip_snow(klon),xtprecip_snow(ntraciso,klon)
+        REAL xtprecip_rain(ntraciso,klon),precip_rain(klon)
+        REAL evap(klon), snow_evap(klon)
+        REAL fq_fonte_neige(klon)
+        REAL fqfonte_neige(klon)
+        REAL xt1lay(ntraciso,klon),ps(klon),q1lay(klon)
+        REAL, INTENT(IN) :: tsurf(klon)
+        REAL Rland_ice(niso,klon)
 !        real run_off_lic_0(klon)
-        real dtime
-        real t_coup
-        real fqcalving(klon)
+        REAL dtime
+        REAL t_coup
+        REAL fqcalving(klon)
     INTEGER, INTENT(IN)                  :: nisurf
     INTEGER, DIMENSION(klon), INTENT(IN) :: knindex
-    real, DIMENSION(klon), INTENT(IN) :: run_off_lic_diag
-    real, INTENT(IN) :: coeff_rel_diag
+    REAL, DIMENSION(klon), INTENT(IN) :: run_off_lic_diag
+    REAL, INTENT(IN) :: coeff_rel_diag
 
         ! output
-        real xtevap(ntraciso,klon)
+        REAL xtevap(ntraciso,klon)
 !        real xtrun_off_lic_0(niso,klon)
 
         ! locals
-        real fxt_fonte_neige(niso,klon)
-        real fxtfonte_neige(niso,klon)
-        real fxtcalving(niso,klon)
-        real sol_evap(klon)
-        real xtsol_evap(ntraciso,klon)
-        real xtsnow_evap(ntraciso,klon)
-        integer i,ixt,j
-        integer ncas_evap,ncas_noevap,ncas_rosee
-        integer cas_evap(klon),cas_noevap(klon),cas_rosee(klon)
-        integer icas
+        REAL fxt_fonte_neige(niso,klon)
+        REAL fxtfonte_neige(niso,klon)
+        REAL fxtcalving(niso,klon)
+        REAL sol_evap(klon)
+        REAL xtsol_evap(ntraciso,klon)
+        REAL xtsnow_evap(ntraciso,klon)
+        INTEGER i,ixt,j
+        INTEGER ncas_evap,ncas_noevap,ncas_rosee
+        INTEGER cas_evap(klon),cas_noevap(klon),cas_rosee(klon)
+        INTEGER icas
 #ifdef ISOVERIF        
-        integer trace_cas(klon)
+        INTEGER trace_cas(klon)
 !        real deltaD 
 !        integer iso_verif_positif_strict_nostop
-        real Rland_ice_prec(niso,klon)
+        REAL Rland_ice_prec(niso,klon)
 !        integer iso_verif_egalite_choix_nostop
 #endif
 #ifdef ISOTRAC
         ! locals
-        integer izone_recoit
+        INTEGER izone_recoit
 #endif        
 !        real mair ! masse d'air en kg concernée par rosée
@@ -14064,5 +14064,5 @@
         enddo !do ixt=1,niso
 #endif        
-        if (precip_snow(i).gt.ridicule) THEN
+        IF (precip_snow(i).gt.ridicule) THEN
            do ixt=1,niso
               Rland_ice(ixt,i)=(h_land_ice*Rland_ice(ixt,i) &
@@ -14076,12 +14076,12 @@
         ! vérifier que Rland_ice a bien été modifié. A l'état initiale,
             ! Rland_ice vaut -150 permil pour le deltaD
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
         do i=1,knon        
-        if (precip_snow(i).gt.1e-5) THEN
-           if (abs(deltaD(xtprecip_snow(iso_hdo,i)/precip_snow(i)) &
+        IF (precip_snow(i).gt.1e-5) THEN
+           IF (abs(deltaD(xtprecip_snow(iso_hdo,i)/precip_snow(i)) &
                          +150).gt.5.0) THEN
-           if (iso_verif_positif_strict_nostop &
+           IF (iso_verif_positif_strict_nostop &
                  (abs(deltaD(Rland_ice(iso_hdo,i))+150.0)  &
-               -1e-6,'calcul_iso_surf_lic 565').eq.1) THEN
+               -1e-6,'calcul_iso_surf_lic 565').EQ.1) THEN
               WRITE(*,*) 'calcul_iso_surf_lic 575 tmp: i=',i
               WRITE(*,*) 'h_land_ice,precip_snow(i)*dtime=' , &
@@ -14099,9 +14099,9 @@
         endif !if (iso_HDO.gt.0) THEN
         do i=1,knon
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtsnow(iso_eau,i),snow(i),  &
                'calcul_iso_surf_lic_vectall 587a',errmax,errmaxrel)
         endif
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
           CALL iso_verif_aberrant_choix(xtsnow(iso_HDO,i), &
                      snow(i),ridicule_snow,deltalim_snow, &
@@ -14123,5 +14123,5 @@
          do i=1,knon
 !          if (evap(i).gt.0.0) THEN
-           if (sol_evap(i).gt.0.0) THEN
+           IF (sol_evap(i).gt.0.0) THEN
                ! modif le 2 octobre 2008: c'est le signe de sol_evap qui
                ! doit être important ici
@@ -14131,6 +14131,6 @@
            trace_cas(i)=1
 #endif
-!          else if (evap(i).eq.0.0) THEN
-           else if (sol_evap(i).eq.0.0) THEN
+!          ELSE IF (evap(i).EQ.0.0) THEN
+           ELSE IF (sol_evap(i).EQ.0.0) THEN
            ncas_noevap=ncas_noevap+1
            cas_noevap(ncas_noevap)=i
@@ -14153,5 +14153,5 @@
               
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                CALL iso_verif_egalite_choix(Rland_ice(iso_eau,i),1.0, &
                         'calcul_iso_surf_lic 740',errmax,errmaxrel)
@@ -14163,5 +14163,5 @@
 
 #ifdef ISOTRAC
-        if (option_traceurs.eq.20) THEN
+        IF (option_traceurs.EQ.20) THEN
             izone_recoit=bassin_map(knindex(i))
         else
@@ -14170,5 +14170,5 @@
 
         do ixt=niso+1,ntraciso
-            if (index_zone(ixt).eq.izone_recoit) THEN
+            IF (index_zone(ixt).EQ.izone_recoit) THEN
                xtsol_evap(ixt,i)=xtsol_evap(index_iso(ixt),i)
             else
@@ -14179,5 +14179,5 @@
 
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                CALL iso_verif_egalite_choix(sol_evap(i), &
                  xtsol_evap(iso_eau,i), &
@@ -14209,10 +14209,10 @@
 
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                CALL iso_verif_egalite_choix(sol_evap(i), &
                  xtsol_evap(iso_eau,i), &
                  'calcul_iso_surf_lic 365',errmax,errmaxrel)
               endif !if (iso_eau.gt.0) THEN
-              if (iso_HDO.gt.0) THEN
+              IF (iso_HDO.gt.0) THEN
                   CALL iso_verif_aberrant_choix(-xtsol_evap(iso_hdo,i), &
                    -sol_evap(i),ridicule_evap,deltalim, &
@@ -14236,6 +14236,6 @@
 !#ifdef ISOVERIF
 !        if (iso_eau.gt.0) THEN
-!         if ((j.eq.291).or.(j.eq.231).or.(j.eq.418).or. &
-!     &                 (j.eq.38).or.(j.eq.60)) THEN
+!         if ((j.EQ.291).OR.(j.EQ.231).OR.(j.EQ.418).OR. &
+!     &                 (j.EQ.38).OR.(j.EQ.60)) THEN
 !           WRITE(*,*) 'calcul_iso_surf 776 tmp& i,j,klon,knon,', &
 !     &           'run_off_lic_0,xt=',i,j,klon,knon,       &
@@ -14249,5 +14249,5 @@
 #ifdef ISOVERIF
         do i=1,knon
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix(evap(i),xtevap(iso_eau,i), &
                         'calcul_iso_surf_lic 361',errmax,errmaxrel)
@@ -14255,5 +14255,5 @@
                         'calcul_iso_surf_lic 363',errmax,errmaxrel)
               endif !if (iso_eau.gt.0) THEN
-              if (iso_HDO.gt.0) THEN
+              IF (iso_HDO.gt.0) THEN
                 CALL iso_verif_aberrant_choix(xtsnow(iso_HDO,i), &
                      snow(i),ridicule_snow,deltalim_snow, &
@@ -14271,5 +14271,5 @@
 !             if (iso_verif_egalite_choix_nostop(run_off_lic_0(i), &
 !     &         xtrun_off_lic_0(iso_eau,i),'calcul_iso_surf_lic 783', &
-!     &         errmax,errmaxrel).eq.1) THEN
+!     &         errmax,errmaxrel).EQ.1) THEN
 !               WRITE(*,*) 'i,knon,klon=',i,knon,klon
 !               stop
@@ -14324,49 +14324,49 @@
         
         ! inputs
-        integer klon,knon
-        real snow(klon),snow_prec(klon)
-        real xtsnow(niso,klon),xtsnow_prec(niso,klon)
-        real precip_snow(klon),xtprecip_snow(ntraciso,klon)
-        real precip_rain(klon),xtprecip_rain(ntraciso,klon)
-        real qsol(klon),qsol_prec(klon) ! hauteur d'eau, en mm.
-        real xtsol(niso,klon),xtsol_prec(niso,klon)
-        real evap(klon), snow_evap(klon)
-        real fq_fonte_neige(klon)
-        real fqfonte_neige(klon)
-        real xt1lay(ntraciso,klon),q1lay(klon)
-        real u1lay(klon),v1lay(klon)
-        real p1lay(klon)
-        real ps(klon)
-        real, intent(in) :: tsurf(klon)
-        real dtime
-        real t_coup
-        real max_eau_sol
-        real run_off(klon)
-        real fqcalving(klon)
+        INTEGER klon,knon
+        REAL snow(klon),snow_prec(klon)
+        REAL xtsnow(niso,klon),xtsnow_prec(niso,klon)
+        REAL precip_snow(klon),xtprecip_snow(ntraciso,klon)
+        REAL precip_rain(klon),xtprecip_rain(ntraciso,klon)
+        REAL qsol(klon),qsol_prec(klon) ! hauteur d'eau, en mm.
+        REAL xtsol(niso,klon),xtsol_prec(niso,klon)
+        REAL evap(klon), snow_evap(klon)
+        REAL fq_fonte_neige(klon)
+        REAL fqfonte_neige(klon)
+        REAL xt1lay(ntraciso,klon),q1lay(klon)
+        REAL u1lay(klon),v1lay(klon)
+        REAL p1lay(klon)
+        REAL ps(klon)
+        REAL, INTENT(IN) :: tsurf(klon)
+        REAL dtime
+        REAL t_coup
+        REAL max_eau_sol
+        REAL run_off(klon)
+        REAL fqcalving(klon)
     INTEGER, INTENT(IN)                  :: nisurf
     INTEGER, DIMENSION(klon), INTENT(IN) :: knindex
-    real, DIMENSION(klon), INTENT(IN) :: run_off_lic_diag
-    real, INTENT(IN) :: coeff_rel_diag
+    REAL, DIMENSION(klon), INTENT(IN) :: run_off_lic_diag
+    REAL, INTENT(IN) :: coeff_rel_diag
     REAL, DIMENSION(niso,klon), INTENT(IN)        :: Rland_ice
         
 
         ! output
-        real xtevap(ntraciso,klon)
-        real xtrun_off(niso,klon)     
+        REAL xtevap(ntraciso,klon)
+        REAL xtrun_off(niso,klon)
 
         ! locals
-        real sol_evap(klon)
-        real xtsol_evap(ntraciso,klon)
-        real xtnu(niso,klon)
-        real L
-        real xtsnow_evap(ntraciso,klon)
-        real qsol_avant_evap(klon), &
+        REAL sol_evap(klon)
+        REAL xtsol_evap(ntraciso,klon)
+        REAL xtnu(niso,klon)
+        REAL L
+        REAL xtsnow_evap(ntraciso,klon)
+        REAL qsol_avant_evap(klon), &
                 xtsol_avant_evap(niso,klon)
-        real fxt_fonte_neige(niso,klon)
-        real fxtfonte_neige(niso,klon)
-        real fxtcalving(niso,klon)
-        real VSURF
-        real kcin(niso)
-        real alphak(niso)
+        REAL fxt_fonte_neige(niso,klon)
+        REAL fxtfonte_neige(niso,klon)
+        REAL fxtcalving(niso,klon)
+        REAL VSURF
+        REAL kcin(niso)
+        REAL alphak(niso)
 !        integer alphak_stewart
 !        parameter (alphak_stewart=1)
@@ -14381,17 +14381,17 @@
                 ! les sols secs et 1 pour les sols saturés.
                ! 31 aout: ce param est maintenant dans wateriso 
-        real h1(klon)
-        real zqs(klon)
-        real R1(niso)
-        real Revap(niso)
-        real zxtalphal(niso), zxtalphai(niso)        
-        real qevap(klon)
-        real q10 ! humidité 1ère couche en mm
-        real rowl ! densité eau en kg/m3
+        REAL h1(klon)
+        REAL zqs(klon)
+        REAL R1(niso)
+        REAL Revap(niso)
+        REAL zxtalphal(niso), zxtalphai(niso)
+        REAL qevap(klon)
+        REAL q10 ! humidité 1ère couche en mm
+        REAL rowl ! densité eau en kg/m3
         parameter (rowl=1000.0)
-        real Pveg
-        integer i,ixt,j
-        real Rsol_new(niso), Rsol(niso)
-        real qsol_avant_deversement(klon)
+        REAL Pveg
+        INTEGER i,ixt,j
+        REAL Rsol_new(niso), Rsol(niso)
+        REAL qsol_avant_deversement(klon)
 
         ! qu'est-ce qui ruisselle?
